﻿using System;
using System.ComponentModel;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Microsoft.SharePoint;
using Microsoft.SharePoint.WebControls;

namespace DevLeap.SP2010.VersionableWebPart.CustomWebPart
{
    [ToolboxItemAttribute(false)]
    public class CustomWebPart : WebPart
    {
        [WebBrowsable(true)]
        [Personalizable(true)]
        public String TextToRenderTimes { get; set; }

        [WebBrowsable(true)]
        [Personalizable(true)]
        public Int32 RepeatTimes { get; set; }

        protected override void CreateChildControls()
        {
            for (Int32 c = 0; c < this.RepeatTimes; c++)
            {
                this.Controls.Add(new LiteralControl(this.TextToRenderTimes));
            }
        }
    }
}
