﻿using System;
using System.ComponentModel;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Microsoft.SharePoint;
using Microsoft.SharePoint.WebControls;

namespace DevLeap.SP2010.VersionableWebPart.CustomWebPart
{
    [ToolboxItemAttribute(false)]
    public class CustomWebPart : WebPart
    {
        [WebBrowsable(true)]
        [Personalizable(true)]
        public String TextToRender { get; set; }

        protected override void CreateChildControls()
        {
            this.Controls.Add(new LiteralControl(this.TextToRender));
        }
    }
}
