﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.SharePoint;

namespace DevLeap.SP2010.UpgradeFeature
{
    class Program
    {
        // Listing 8-6
        static void Main(string[] args)
        {
            SPSite site = new SPSite("http://devbook.sp2010.local/");

            Boolean needsUpgrade = true;
            SPFeatureQueryResultCollection featuresToUpgrade =
                site.QueryFeatures(SPFeatureScope.Site, needsUpgrade);

            Boolean force = true;
            foreach (SPFeature feature in featuresToUpgrade)
            {
                Console.WriteLine("Upgrading feature {0} from version {1} to version {2}",
                    feature.Definition.DisplayName, feature.Version,
                    feature.Definition.Version);
                feature.Upgrade(force);
            }
        }
    }
}
