﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.SharePoint.Administration;

namespace DevLeap.SP2010.ProtocolServiceApp
{
    [System.Runtime.InteropServices.Guid("4FD10153-8B94-48d3-ACB1-46EA2F1F9DED")]
    public class ProtocolServiceInstance : SPIisWebServiceInstance
    {
        #region Constructors

        public ProtocolServiceInstance()
            : base()
        { }

        internal ProtocolServiceInstance(SPServer server, ProtocolService service)
            : base(server, service)
        {
        }

        internal ProtocolServiceInstance(string name, SPServer server, ProtocolService service)
            : base(server, service)
        {
            this.Name = name;
        }

        #endregion

        #region SPIisWebServiceInstance

        public override string DisplayName
        {
            get { return (this.GetType().Name); }
        }

        public override string TypeName
        {
            get { return(this.GetType().Name); }
        }

        #endregion
    }
}
