<%@ Assembly Name="DevLeap.SP2010.ProtocolServiceApp, Version=1.0.0.0, Culture=neutral, PublicKeyToken=2a19d3da3e42f992" %>
<%@ Import Namespace="Microsoft.SharePoint.ApplicationPages" %>
<%@ Register Tagprefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="asp" Namespace="System.Web.UI" Assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" %>
<%@ Import Namespace="Microsoft.SharePoint" %>
<%@ Assembly Name="Microsoft.Web.CommandUI, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ProtocolServiceCreate.aspx.cs" Inherits="DevLeap.SP2010.ProtocolServiceApp.ProtocolServiceCreate" MasterPageFile="~/_layouts/dialog.master" %>

<%@ Register Tagprefix="wssawc" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="wssuc" TagName="LinksTable" src="/_controltemplates/LinksTable.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormSection" src="/_controltemplates/InputFormSection.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormControl" src="/_controltemplates/InputFormControl.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="LinkSection" src="/_controltemplates/LinkSection.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="ButtonSection" src="/_controltemplates/ButtonSection.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="ActionBar" src="/_controltemplates/ActionBar.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="ToolBar" src="/_controltemplates/ToolBar.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="ToolBarButton" src="/_controltemplates/ToolBarButton.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="Welcome" src="/_controltemplates/Welcome.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="ContentDatabaseSection" src="~/_admin/ContentDatabaseSection.ascx" %>

<%@ Register TagPrefix="wssuc" TagName="IisWebServiceApplicationPoolSection" Src="~/_admin/IisWebServiceApplicationPoolSection.ascx" %>

<asp:Content ID="DialogHeaderPageTitle" ContentPlaceHolderID="PlaceHolderDialogHeaderPageTitle" runat="server">
    Create New Protocol Service Application
</asp:Content>

<asp:Content ID="DialogDescription" ContentPlaceHolderID="PlaceHolderDialogDescription" runat="server">
    Specify the name, application pool, and database for this Application
</asp:Content>

<asp:Content ID="DialogBodyMainSection" ContentPlaceHolderID="PlaceHolderDialogBodyMainSection" runat="server">
	<TABLE border="0" cellspacing="0" cellpadding="0" width="100%" class="ms-authoringcontrols">
		<wssuc:InputFormSection
			Title="Name"
			Description="Specify a name for the service application."
			runat="server">
			<Template_InputFormControls>
				<wssuc:InputFormControl LabelText="" LabelAssociatedControlID="m_asAppName" runat="server">
					<Template_control>
						<wssawc:InputFormTextBox title="Name" class="ms-input" ID="m_asAppName" Columns="35" Runat="server" MaxLength=256 />
						<wssawc:InputFormRequiredFieldValidator ID="m_asAppNameValidator" 
							ControlToValidate="m_asAppName" 
							ErrorMessage="Specify a name for the service application."
							width='300px'
							Runat="server"/>
						<wssawc:InputFormCustomValidator ID="m_uniqueNameValidator" 
							ControlToValidate="m_asAppName" 
							OnServerValidate="ValidateUniqueName" 
							runat="server" />
					</Template_control>
				</wssuc:InputFormControl>
			</Template_InputFormControls>
		</wssuc:InputFormSection>

		<wssuc:IisWebServiceApplicationPoolSection
            id="m_applicationPoolSection" runat="server" />

		<wssuc:ContentDatabaseSection
			id="ProtocolServiceAppDBSection"
			title="Database"
			IncludeSearchServer="false"
			IncludeFailoverDatabaseServer="true"
			runat="server"/>
        
		<wssuc:InputFormSection
			Title="Add to default proxy list"
			Description="The setting makes this service application available by default for web applications in this farm to use. Do not check this setting if you wish to specify manually which web applications should use this service application."
			runat="server">
			<Template_InputFormControls>
				<wssuc:InputFormControl LabelText="" LabelAssociatedControlID="m_default" runat="server">
					<Template_control>
					   <asp:CheckBox ID="m_default" Runat="server" 
						Checked="True"
						Title="Add this service application's proxy to the farm's default proxy list." 
						Text="Add this service application's proxy to the farm's default proxy list." />
					</Template_control>
				</wssuc:InputFormControl>
			</Template_InputFormControls>
		</wssuc:InputFormSection>
        
        <SharePoint:FormDigest id="formDigest" runat=server/>		

</asp:Content>
