﻿using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Linq;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;
using Microsoft.SharePoint;
using Microsoft.SharePoint.Workflow;
using Microsoft.SharePoint.WorkflowActions;

namespace DevLeap.SP2010.SampleSiteWorkflow.SampleSiteWF
{
    public sealed partial class SampleSiteWF : SequentialWorkflowActivity
    {
        public SampleSiteWF()
        {
            InitializeComponent();
        }

        public Guid workflowId = default(System.Guid);
        public SPWorkflowActivationProperties workflowProperties = new SPWorkflowActivationProperties();

        private void onWorkflowActivated_Invoked(object sender, ExternalDataEventArgs e)
        {
            this.LogHistoryDescription = "This is a sample site-level workflow!";
        }

        public static DependencyProperty LogHistoryDescriptionProperty = DependencyProperty.Register("LogHistoryDescription", typeof(System.String), typeof(DevLeap.SP2010.SampleSiteWorkflow.SampleSiteWF.SampleSiteWF));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Misc")]
        public String LogHistoryDescription
        {
            get
            {
                return ((string)(base.GetValue(DevLeap.SP2010.SampleSiteWorkflow.SampleSiteWF.SampleSiteWF.LogHistoryDescriptionProperty)));
            }
            set
            {
                base.SetValue(DevLeap.SP2010.SampleSiteWorkflow.SampleSiteWF.SampleSiteWF.LogHistoryDescriptionProperty, value);
            }
        }
    }
}
