<%@ Assembly Name="DevLeap.SP2010.CRMOffersApproval, Version=1.0.0.0, Culture=neutral, PublicKeyToken=51b82a43778f5cb2" %>
<%@ Assembly Name="Microsoft.Web.CommandUI, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Import Namespace="Microsoft.SharePoint" %>
<%@ Import Namespace="Microsoft.SharePoint.ApplicationPages" %>
<%@ Register Tagprefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="asp" Namespace="System.Web.UI" Assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormSection" Src="/_controltemplates/InputFormSection.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormControl" Src="/_controltemplates/InputFormControl.ascx" %>

<%@ Page Language="C#" 
    DynamicMasterPageFile="~masterurl/default.master" 
    AutoEventWireup="true" 
    Inherits="DevLeap.SP2010.CRMOffersApproval.CRMOffersApprovalWorkflow.CRMOffersApprovalAssociationForm" 
    CodeBehind="CRMOffersApprovalAssociationForm.aspx.cs" %>

<asp:Content ID="Main" ContentPlaceHolderID="PlaceHolderMain" runat="server">
    <table border="0" cellspacing="0" cellpadding="0" class="ms-propertysheet">

	    <wssuc:InputFormSection runat="server" 
            Title="Offer Euro Amount Limit"
            Description="Provide the offer Euro amount limit">
		    <Template_InputFormControls>
			    <tr valign="top">
				    <td class="ms-authoringcontrols" width="10">&#160;</td>
				    <td class="ms-authoringcontrols" colspan="4">
					    Provide the offer Euro amount limit
					    <br/>
					    <table border="0" cellspacing="1">
						    <tr>
							    <td>&#160;</td>
							    <td class="ms-authoringcontrols">
								    <input size="25" class="ms-input" type="Text" name="OfferEuroAmountLimit" ID="OfferEuroAmountLimit" runat="server" maxlength="15" />
							    </td>
						    </tr>
					    </table>
				    </td>
			    </tr>
		    </Template_InputFormControls>
	    </wssuc:InputFormSection>

	    <wssuc:InputFormSection runat="server" 
            Title="Offer Manager"
            Description="Provide the offer manager account">
		    <Template_InputFormControls>
			    <tr valign="top">
				    <td class="ms-authoringcontrols" width="10">&#160;</td>
				    <td class="ms-authoringcontrols" colspan="4">
					    Provide the offer manager account
					    <br/>
					    <table border="0" cellspacing="1">
						    <tr>
							    <td>&#160;</td>
							    <td class="ms-authoringcontrols">
                                    <SharePoint:PeopleEditor ID="OfferManager" runat="server" 
                                    width="350px" AllowEmpty="false" MultiSelect="false" 
                                    SelectionSet="User" />
							    </td>
						    </tr>
					    </table>
				    </td>
			    </tr>
		    </Template_InputFormControls>
	    </wssuc:InputFormSection>

    </table>

    <asp:Button ID="AssociateWorkflow" runat="server" OnClick="AssociateWorkflow_Click" Text="Associate Workflow" />
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
    <asp:Button ID="Cancel" runat="server" Text="Cancel" OnClick="Cancel_Click" />
</asp:Content>

<asp:Content ID="PageTitle" ContentPlaceHolderID="PlaceHolderPageTitle" runat="server">
    Workflow Association Form
</asp:Content>

<asp:Content ID="PageTitleInTitleArea" runat="server" ContentPlaceHolderID="PlaceHolderPageTitleInTitleArea">
    Workflow Association Form
</asp:Content>
