﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Workflow.Activities;

namespace DevLeap.SP2010.ExternalCRMService
{
    [ExternalDataExchange]
    public interface ICRMService
    {
        void SubmitOffer(Offer item);

        event EventHandler<CRMCodeEventArgs> CRMCodeAvailable;
    }

    [Serializable]
    public class Offer
    {
        public String SharePointCode { get; set; }
        public Decimal EuroAmount { get; set; }
    }

    [Serializable]
    public class CRMCodeEventArgs : ExternalDataEventArgs
    {
        public CRMCodeEventArgs(Guid instanceId)
            : base(instanceId) { }

        public String CRMCode { get; set; }
    }
}
