﻿using System;
using System.Security.Permissions;
using Microsoft.SharePoint;
using Microsoft.SharePoint.Security;
using Microsoft.SharePoint.Utilities;
using Microsoft.SharePoint.Workflow;
using System.Diagnostics;

namespace DevLeap.SP2010.WFReceiver
{
    /// <summary>
    /// List Workflow Events
    /// </summary>
    public class DevLeapOffersWFReceiver : SPWorkflowEventReceiver
    {
        public override void WorkflowStarting(SPWorkflowEventProperties properties)
        {
            if (properties.ActivationProperties != null)
            {
                SPUtility.SendEmail(properties.ActivationProperties.Web,
                    false, false,
                    properties.ActivationProperties.Site.Owner.Email,
                    "Workflow Starting",
                    String.Format("Is starting a workflow on item {0}.",
                      properties.ActivationProperties.Item.Title), false);
            }
        }
    }
}
