﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;
using System.ServiceModel.Syndication;

[ServiceKnownType(typeof(Rss20FeedFormatter))]
[ServiceKnownType(typeof(Atom10FeedFormatter))]
[ServiceContract(Namespace = "http://schemas.devleap.com/FeedService")]
public interface IDevLeapFeedService
{
    [OperationContract]
    [WebGet(UriTemplate = "blog?q={searchTerm}&type={feedType}")]
    SyndicationFeedFormatter GetFeed(String searchTerm, String feedType);
}
