﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.SharePoint.WebControls;
using Microsoft.SharePoint;
using System.Web;

namespace DevLeap.SP2010.UIExtensions
{
    // Listing 9-9
    public class SwitchToMobileMode : System.Web.UI.WebControls.WebControl
    {
        protected override void CreateChildControls()
        {
            SPWeb web = SPControl.GetContextWeb(HttpContext.Current);

            MenuItemTemplate switchToMobile = new MenuItemTemplate();
            switchToMobile.Text = "Switch to mobile mode";
            switchToMobile.Description = "Switches the current site rendering mode to mobile";
            switchToMobile.ImageUrl = "/_layouts/images/DevLeap.SP2010.UIExtensions/Mobile32x32.png";
            switchToMobile.ClientOnClickNavigateUrl = String.Format("{0}?Mobile=1", web.Url);

            this.Controls.Add(switchToMobile);
        }
    }
}
