﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.SharePoint;

namespace DevLeap.SP2010.CustomFields
{
    public class IBANFieldValue : SPFieldMultiColumnValue
    {
        private const Int32 columnsCount = 6;

        public IBANFieldValue()
            : base(columnsCount)
        {
        }

        public IBANFieldValue(string value)
            : base(value)
        { }

        public String CountryCode
        {
            get
            {
                return (this[0]);
            }
            set
            {
                this[0] = value;
            }
        }

        public String CheckDigit
        {
            get
            {
                return (this[1]);
            }
            set
            {
                this[1] = value;
            }
        }

        public String CIN
        {
            get
            {
                return (this[2]);
            }
            set
            {
                this[2] = value;
            }
        }

        public String ABI
        {
            get
            {
                return (this[3]);
            }
            set
            {
                this[3] = value;
            }
        }

        public String CAB
        {
            get
            {
                return (this[4]);
            }
            set
            {
                this[4] = value;
            }
        }

        public String AccountNumber
        {
            get
            {
                return (this[5]);
            }
            set
            {
                this[5] = value;
            }
        }
    }
}
