﻿<%@ Assembly Name="$SharePoint.Project.AssemblyFullName$" %>
<%@ Import Namespace="Microsoft.SharePoint.ApplicationPages" %>
<%@ Register Tagprefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="asp" Namespace="System.Web.UI" Assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" %>
<%@ Import Namespace="Microsoft.SharePoint" %>
<%@ Assembly Name="Microsoft.Web.CommandUI, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="OfferApprovalTaskForm.aspx.cs" Inherits="DevLeap.SP2010.FormsApprovalWorkflow.Layouts.DevLeap.SP2010.FormsApprovalWorkflow.OfferApprovalTaskForm" DynamicMasterPageFile="~masterurl/default.master" %>

<asp:Content ID="PageHead" ContentPlaceHolderID="PlaceHolderAdditionalPageHead" runat="server">

</asp:Content>

<asp:Content ID="Main" ContentPlaceHolderID="PlaceHolderMain" runat="server">
    <table>
        <tr>
            <td>Description</td>
            <td><asp:Label ID="DevLeapApprovalTaskDescription" runat="server" /></td>
        </tr>
        <tr>
            <td>Notes</td>
            <td><asp:TextBox ID="DevLeapApprovalTaskNotes" TextMode="MultiLine" Columns="60" Rows="5" runat="server" /></td>
        </tr>
        <tr>
            <td>Outcome</td>
            <td>
                <asp:DropDownList ID="DevLeapApprovalTaskOutcome" runat="server">
                    <asp:ListItem Value="Pending Approval" Text="Pending Approval" />
                    <asp:ListItem Value="Approved" Text="Approved" />
                    <asp:ListItem Value="Rejected" Text="Rejected" />
                </asp:DropDownList>
            </td>
        </tr>
    </table>

    <asp:Button ID="SaveApprovalTask" runat="server" OnClick="SaveApprovalTask_Click" Text="Save" />
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
    <asp:Button ID="Cancel" runat="server" Text="Cancel" OnClick="Cancel_Click" />

</asp:Content>

<asp:Content ID="PageTitle" ContentPlaceHolderID="PlaceHolderPageTitle" runat="server">
Application Page
</asp:Content>

<asp:Content ID="PageTitleInTitleArea" ContentPlaceHolderID="PlaceHolderPageTitleInTitleArea" runat="server" >
My Application Page
</asp:Content>
