﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;
using System.IO;

namespace DevLeap.SP2010.CRMOffersApproval
{
    public static class WorkflowUtility
    {
        public static TData DeserializeData<TData>(String serializedData)
        {
            XmlSerializer xs = new XmlSerializer(typeof(TData));
            TData result = (TData)xs.Deserialize(new StringReader(serializedData));

            return (result);
        }

        public static String SerializeData<TData>(TData data)
        {
            StringWriter sw = new StringWriter();
            XmlSerializer xs = new XmlSerializer(typeof(TData));
            xs.Serialize(sw, data);

            return (sw.ToString());
        }
    }
}
