﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DevLeap.WCFCustomerService.ConsoleConsumer
{
    class Program
    {
        static void Main(string[] args)
        {
            CustomersServiceReference.CustomersServiceClient svc = new DevLeap.WCFCustomerService.ConsoleConsumer.CustomersServiceReference.CustomersServiceClient();
            var customers = svc.ListAllCustomers();

            foreach (var c in customers)
            {
                c.Print();
            }

            var c01 = svc.GetCustomerById("ID001");
            c01.Print();
        }


    }

    public static class CustomerExtensions
    {
        public static void Print(this CustomersServiceReference.Customer c)
        {
            Console.WriteLine("{0} - {1} - {2} - {3}", c.CustomerID, c.ContactName, c.CompanyName, c.Country);
        }
    }
}
