﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.SharePoint.Linq;
using Microsoft.SharePoint;

namespace DevLeap.SP2010.Linq2SP
{
    internal partial class DevLeapCustomer : ICustomMapping
    {
        private String _address;

        public String Address
        {
            get { return (this._address); }
            set { this._address = value; }
        }

        [CustomMapping(Columns = new String[] { "*" })]
        public void MapFrom(object listItem)
        {
            SPListItem item = listItem as SPListItem;
            if (item != null)
            {
                this.Address = item["address"].ToString();
            }
        }

        public void MapTo(object listItem)
        {
            SPListItem item = listItem as SPListItem;
            if (item != null)
            {
                item["address"] = this.Address;
            }
        }

        public void Resolve(RefreshMode mode, object originalListItem, object databaseListItem)
        {
            // Code omitted for the sake of brevity
        }
    }
}
